﻿' Copyright (c) 2010 Manfred Clemens erst.: 26.06.2010, letzte Änderung: 01.07.2010
' ---------------------------------------------------------------------------------
Option Explicit On                        ' explizite Deklarationen aller Variablen
Option Strict On                          ' strikte Datentypkonvertierungen

#Region " Imports "
Imports MdiApp.clsInitStart               ' Klasse: Start initialisieren
Imports MdiApp.K8055d                     ' K8055D.DLL Deklarationen
#End Region

Public Class frmAnalog

#Region " Form Events "

#Region " ... Load "
  Private Sub frmAnalog_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    ' ---------------------------------------------------------------------------------
    '                                                                    Formular laden
    ' ---------------------------------------------------------------------------------
    clsInitStart.fAnalog.MdiParent = MDIForm

    GTrackBarInput1.Cursor = Cursors.No
    GTrackBarInput2.Cursor = Cursors.No

    If CardSelected = True Then
      Timer1.Enabled = True
    Else
      Timer1.Enabled = False
    End If

  End Sub
#End Region

#Region " Timer "
  Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
    ' ---------------------------------------------------------------------------------
    '                                                                             Timer
    ' ---------------------------------------------------------------------------------
    If CardSelected = True Then
      Timer1.Interval = Timer1Interval
      Timer1.Enabled = False
      Dim Data1 As Integer
      Dim Data2 As Integer
      ReadAllAnalog(Data1, Data2)
      ' Data = 0 = 0 Volt; Data = 255 = 5 Volt
      GTrackBarInput1.Value = Data1
      GTrackBarInput2.Value = Data2
      Timer1.Enabled = True
    End If
  End Sub
#End Region

#Region " TrackBar Events "
#Region " ... TrackBarOutput1 "
  Private Sub GTrackBarOutput1_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GTrackBarOutput1.ValueChanged
    OutputAnalogChannel(1, GTrackBarOutput1.Value)
  End Sub
#End Region
#Region " ... TrackBarOutput2 "
  Private Sub GTrackBarOutput2_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GTrackBarOutput2.ValueChanged
    OutputAnalogChannel(2, GTrackBarOutput2.Value)
  End Sub
#End Region
#End Region

#Region " Button Events "
#Region " ... Button Set All Analog "
  Private Sub btnSetAllAnalog_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSetAllAnalog.Click
    SetAllAnalog()
    GTrackBarOutput1.Value = 255
    GTrackBarOutput2.Value = 255
  End Sub
#End Region
#Region " ... Button Clear All Analog "
  Private Sub btnClearAllAnalog_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClearAllAnalog.Click
    ClearAllAnalog()
    GTrackBarOutput1.Value = 0
    GTrackBarOutput2.Value = 0
  End Sub
#End Region
#End Region

#End Region


End Class