﻿' Copyright (c) 2010 Manfred Clemens erst.: 19.06.2010, letzte Änderung: 26.06.2010
' ---------------------------------------------------------------------------------
Option Explicit On                   ' explizite Deklarationen aller Variablen
Option Strict On                     ' strikte Datentypkonvertierungen

#Region " Imports "
Imports MdiApp.K8055d                ' K8055D.DLL Deklarationen
#End Region

Public NotInheritable Class frmAbout ' eine Klasse, von der nicht geerbt werden kann

#Region " ... Load "
  Private Sub frmAbout_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    ' ---------------------------------------------------------------------------------
    '                                                                    Formular laden 
    ' ---------------------------------------------------------------------------------
    clsInitStart.fAbout.MdiParent = MDIForm
    clsInitStart.fAbout.Left = 20
    clsInitStart.fAbout.Top = 10

    ' Titel des Formulars festlegen
    Dim ApplicationTitle As String
    If My.Application.Info.Title <> "" Then
      ApplicationTitle = My.Application.Info.Title
    Else
      ApplicationTitle = _
        System.IO.Path.GetFileNameWithoutExtension(My.Application.Info.AssemblyName)
    End If
    Me.Text = String.Format("Info {0}", ApplicationTitle)
    ' Initialisieren Sie den gesamten Text, der im Infofeld angezeigt wird.
    ' TODO: Passen Sie die Assemblyinformationen der Anwendung im Bereich 
    ' "Anwendung" des Dialogfelds für die Projekteigenschaften 
    ' (im Menü "Projekt") an.
    Me.LabelProductName.Text = My.Application.Info.ProductName
    Me.LabelVersion.Text = String.Format("Version {0}", _
                           My.Application.Info.Version.ToString)
    Me.LabelCopyright.Text = My.Application.Info.Copyright
    Me.LabelCompanyName.Text = My.Application.Info.CompanyName
    Me.TextBoxDescription.Text = My.Application.Info.Description
  End Sub
#End Region

#Region " Button Events "
#Region " ... Button Beenden "
  Private Sub OKButton_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OKButton.Click
    ' ---------------------------------------------------------------------------------
    '                                                                    Button Beenden
    ' ---------------------------------------------------------------------------------
    Me.Close()
  End Sub
#End Region
#Region " ... Button Dynamic Link Library (K8055D.DLL) Version "
  Private Sub btmK8055_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btmK8055.Click
    ' ---------------------------------------------------------------------------------
    '                                  Button Dynamic Link Library (K8055D.DLL) Version
    ' ---------------------------------------------------------------------------------
    Version()
  End Sub
#End Region
#End Region

End Class
