﻿' Copyright (c) 2010 Manfred Clemens erst.: 19.06.2010, letzte Änderung: 26.06.2010
' ---------------------------------------------------------------------------------
Option Explicit On                        ' explizite Deklarationen aller Variablen
Option Strict On                          ' strikte Datentypkonvertierungen

#Region " Imports "
Imports MdiApp.clsInitStart
Imports MdiApp.K8055d                     ' K8055D.DLL Deklarationen
#End Region

Public Class frmConnect
#Region " Form Events "

#Region " ... Load "
  Private Sub frmConnect_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    ' ---------------------------------------------------------------------------------
    '                                                                    Formular laden
    ' ---------------------------------------------------------------------------------
    clsInitStart.fConnect.MdiParent = MDIForm
    MDIForm.ToolStripStatusLabel.Text = sConnect
  End Sub
#End Region

#Region " Procedures "
#Region " ... ReadCardAdress "
  Private Sub ReadCardAdress()
    ' ---------------------------------------------------------------------------------
    '                                            Card-Adresse auslesen bzw. selektieren  
    ' ---------------------------------------------------------------------------------
    Dim CardAdress As Integer = 3
    Dim SelectCard As Integer = 9

    If cbSK5.Checked Then CardAdress = CardAdress - 1
    If cbSK6.Checked Then CardAdress = CardAdress - 2
    SelectCard = OpenDevice(CardAdress)

    Select Case SelectCard
      Case 0, 1, 2, 3
        MDIForm.ToolStripStatusLabel.Image = My.Resources.DiodeRed
        MDIForm.ToolStripStatusLabel.Text = "Verbunden mit Card-Adress: " & SelectCard.ToString
        CardSelected = True
      Case -1
        MDIForm.ToolStripStatusLabel.Image = Nothing
        MDIForm.ToolStripStatusLabel.Text = "Fehler! - Card-Adresse: " & _
                      CardAdress.ToString & " wurde nicht gefunden!"
        CardSelected = False
    End Select
  End Sub
#End Region
#End Region

#Region " Button Events "
#Region " ... btnVerbinden_Click "
  Private Sub btnConnect_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnConnect.Click
    ' ---------------------------------------------------------------------------------
    '                                                                  Button Verbinden  
    ' ---------------------------------------------------------------------------------
    ReadCardAdress()
  End Sub
#End Region
#End Region

#End Region

End Class